<script lang="ts">
import Vue, { PropType } from 'vue';

interface image {
  src: string;
  alt: string;
}

interface CostCtaCard {
  title: string;
  description: string;
  iconName: string;
  cta: {
    href: string;
    text: string;
  };
}

export default Vue.extend({
  props: {
    image: {
      type: Object as PropType<image>,
      required: true,
    },
    cards: {
      type: Array as PropType<CostCtaCard[]>,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <div class="cost-card-container">
      <div class="cards">
        <div v-for="card in cards" :key="card.title" class="card">
          <div class="header">
            <SlpIcon :name="card.iconName" variant="marketing" size="32" />
            <SlpTypography variant="heading4-bold" tag="h4">
              {{ card.title }}</SlpTypography
            >
          </div>
          <SlpTypography variant="body1" tag="p">{{
            card.description
          }}</SlpTypography>
          <SlpButton
            v-if="card.cta.text"
            variant="secondary"
            class="cta"
            :href="card.cta.href"
            >{{ card.cta.text }}</SlpButton
          >
        </div>
      </div>
      <div class="image">
        <img :src="image.src" :alt="image.alt" />
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.cost-card-container {
  padding: 120px 0;
  position: relative;
  display: flex;
  gap: 32px;
  @media (max-width: $breakpoint-lg) {
    flex-direction: column;
  }
  &:after {
    content: '';
    position: absolute;
    width: 200vw;
    height: 100%;
    top: 0;
    left: -50vw;
    z-index: -1;
    background: $color-surface-800;
  }
  .cards {
    display: flex;
    flex-direction: column;
    gap: 32px;
    min-width: 50%;
    .card {
      display: flex;
      flex-direction: column;
      gap: 16px;
      .header {
        display: flex;
        gap: 16px;
      }
      .cta {
        border-radius: 4px;
        border: 1px solid var(--slp-color-surface-700, #171321);
        max-width: 225px;
        margin-top: 32px;
      }
    }
  }
}
</style>
